---
search:
  tags:
    - Price Relay Rules
    - GET
seo:
  description: >-
    Get a price relay target rule… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id} endpoint
    in the Management API.
sidebar:
  label: Get a price relay target rule including its connected source rules
  badge: GET
title: Get a price relay target rule including its connected source rules
type: openapi-operation
---
`GET /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id}`

**Responses**

- `200` — Got target rule
- `400` — Invalid request
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "active": true,
    "aggregation": "string",
    "app_id": "string",
    "created_at": "string",
    "id": "string",
    "market": "string",
    "market_slug": "string",
    "name": "string",
    "sources": [
      {
        "active": true,
        "app_id": "string",
        "created_at": "string",
        "filters": {
          "brand_ids": [
            "string"
          ],
          "category_ids": [
            "string"
          ],
          "collection_ids": [
            "string"
          ],
          "tag_ids": [
            "string"
          ]
        },
        "force_on_sale": true,
        "id": "string",
        "market": "string",
        "market_slug": "string",
        "name": "string",
        "percentage_of_source": 0,
        "percentage_of_source_decimals": 0,
        "relay_on_sale_store_group": "string",
        "relay_status_store_group": "string",
        "rounding": {
          "round_down": true,
          "round_up": true,
          "targets": [
            "string"
          ]
        },
        "store_groups": [
          {
            "amount_from": "string",
            "sale_price_from": "string",
            "store_group": "string",
            "store_group_slug": "string"
          }
        ],
        "tax_country_code": "string",
        "updated_at": "string"
      }
    ],
    "store_group": "string",
    "store_group_slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
